Subject: GA-DIGEST V1 #1668
From: [email-masked] (GA-DIGEST)
To: [email-masked]

GA-DIGEST          Thursday, April 17 2003          Volume 01 : Number 1668

----------------------------------------------------------------------

Date: Wed, 16 Apr 2003 11:56:55 +0200
From: Stephane Bortzmeyer <[email-masked]>
Subject: Re: [ga] Domains with no Name Servers listed

On Wed, Apr 16, 2003 at 12:45:30AM -0700,
 Jay Westerdal <[email-masked]> wrote 
 a message of 17 lines which said:

> So my question is how do registrars do this? Do they some how get
> around the business logic of the Verisign GRS?

The reason is probably here:

   Record created on 04-Oct-1994.

which means that it was created long before RRP and long before the
current SRS system. The old database was imported (probably several
times) into each new system, bringing old inconsistencies with it.

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Wed, 16 Apr 2003 07:37:55 -0400
From: "Hollenbeck, Scott" <[email-masked]>
Subject: RE: [ga] Domains with no Name Servers listed

> In the Verisign RRP is it not a requirement to have a minimum 
> of 1 name
> server but no more then 13. This is how I read it. But yet I 
> find domains
> with no name servers listed. So my question is how do 
> registrars do this? Do
> they some how get around the business logic of the Verisign 
> GRS? Would that
> mean they have another way into the system other then the RRP 
> logic? I am
> very curious how come egret.com has no name servers listed 
> and there is no
> history of this domain ever being in the .COM zonefile?
> 
> Anyone know how this works?

There is no RRP requirement to specify at least 1 name server when a domain
is first registered.  Section 4.3.1.1 of RFC 2832 says this:

"The request to register a domain name MAY contain 1 or more, and a maximum
of 13, fully qualified name servers hosting the domain name in multiple
instances of the "NameServer" parameter."

Note that is says "MAY contain", not "MUST contain".  There's also nothing
in the specification that requires delegation at any point in the future.
We put this flexibility in primarily because it got us past a "chicken and
egg" problem where we require creation of a domain before you can create and
use a name server in the domain.  This means that you have to register
domain example.com before you can register name server ns.example.com.  You
can, of course, initially delegate the domain to name servers in another
domain, but we didn't want to require that because it tends to increase
instances of lame delegation.

Scott Hollenbeck
VeriSign Directory Services
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Wed, 16 Apr 2003 15:17:52 +0200
From: "J-F C. (Jefsey)  Morfin" <[email-masked]>
Subject: Re: [ga] Domains are not the equivalent of DNS.

At 22:06 15/04/03, Karl Auerbach wrote:
>On Tue, 15 Apr 2003, Ross Wm. Rader wrote:
> > Domains are a way of mapping alpha-numeric labels to hosts/endpoints
> > (x).
>
>I don't quite agree.
>Fully qualified domain names (FQDN) are more than simply alpha-numeric.
>The relevant RFC's define the character set as being all 256 possible
>patterns in 8-bit octets.  The alphanumeric limitation only applies when
>the name is somehow associated with a "hostname".

To illustrate this, may be can you click http://www.bravå.nu.
The Technical Manager of ".nu" is said to be named Mokapetris.
Can someone confirm?
jfc

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Wed, 16 Apr 2003 06:50:54 -0700 (PDT)
From: Rick Wesson <[email-masked]>
Subject: Re: [ga] Domains with no Name Servers listed

Jay,

at all registries one may create domains without any name servers. One may
also put a domain on HOLD which will withdraw the publishing of any name
servers associated with a domain.

there are probably over a million domains in cnobiu (com net org biz info
us) that have no name servers or are on some sort of hold status.

- -rick

On Wed, 16 Apr 2003, Jay Westerdal wrote:

> In the Verisign RRP is it not a requirement to have a minimum of 1 name
> server but no more then 13. This is how I read it. But yet I find domains
> with no name servers listed. So my question is how do registrars do this? Do
> they some how get around the business logic of the Verisign GRS? Would that
> mean they have another way into the system other then the RRP logic? I am
> very curious how come egret.com has no name servers listed and there is no
> history of this domain ever being in the .COM zonefile?
>
> Anyone know how this works?
>
> Jay
>
> --
> This message was passed to you via the [email-masked] list.
> Send mail to [email-masked] to unsubscribe
> ("unsubscribe ga" in the body of the message).
> Archives at http://www.dnso.org/archives.html
>

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Wed, 16 Apr 2003 10:50:26 -0700 (PDT)
From: Karl Auerbach <[email-masked]>
Subject: 13 servers? Was: Re: [ga] Domains with no Name Servers listed

On Wed, 16 Apr 2003, Jay Westerdal wrote:

> In the Verisign RRP is it not a requirement to have a minimum of 1 name
> server but no more then 13.

The number 13 comes is derived from a computation of how many name server 
name strings will fit into a DNS UDP packet that fits within the obsolete 
512 byte limitation set by the RFC.

But... that computation is not valid when the list of name servers 
contains servers with long names, particularly when they do not share the 
same suffix (and thus can not be "compressed" using the DNS name 
compression algorithm.)

In other words, if you have servers like:
averyverylonghostnameformydnsserver.verylongbighonkinglongnamestring.verylongbighonkinglongsubdomainstring.someveryveryverylongdomainname.com

then you are not going to be able to squish 13 names into the list without 
exceeding the 512 byte limit.  And I can assure you that you do not want 
your DNS queries to get back the truncated bit and transition to TCP as 
the transport - if you think the net is slow now...

On the other hand if you have short names like
a.cie.com
b.cie.com
c.cie.com

then one can fit a lot more than 13 name servers into the list.

IPv6 and IDN's will change the way the calculations turn out.

		--karl--

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Thu, 17 Apr 2003 18:01:18 +0200
From: "DNSO SECRETARIAT" <[email-masked]>
Subject: [ga] GNSO Council telecof MP3 recording April 17, 2003

[To: [email-masked], [email-masked]]
[To: [email-masked], [email-masked]]

Please find the MP3 recording of the GNSO Council teleconference held on
Thursday April 17, 2003.

http://www.dnso.org/dnso/mp3/20030417GNSOteleconf.mp3

Happy listening!
GNSO Secretariat

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

End of GA-DIGEST V1 #1668
*************************